Bug 837050 - Review Request: nacl - Networking and Cryptography library
Summary: Review Request: nacl - Networking and Cryptography library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 990423
TreeView+ depends on / blocked
 
Reported: 2012-07-02 15:34 UTC by Jaroslav Škarvada
Modified: 2016-04-13 06:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 05:56:29 UTC
jsynacek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jaroslav Škarvada 2012-07-02 15:34:20 UTC
Spec URL: http://fedorapeople.org/~jskarvad/nacl/nacl.spec
SRPM URL: http://fedorapeople.org/~jskarvad/nacl/nacl-20110221-1.fc17.src.rpm
Description: NaCl (pronounced "salt") is a new easy-to-use high-speed software library for network communication, encryption, decryption, signatures, etc. NaCl's goal is to provide all of the core operations needed to build higher-level cryptographic tools.
Fedora Account System Username: jskarvad

- I would like to use this library in netsniff-ng package.
- nacl-20110221-noexec-stack.patch was sent upstream.
- Currently there is included reference implementation of curvecp (http://curvecp.org/) in the sources. From upstream doc: "CurveCP software isn't ready for users yet but is ready for experimentation and development by interested programmers.". So I let it there as is. We could also remove it entirely or build standalone curvecp RPM package from the sources. Any ideas are welcome.

Comment 1 Jan Synacek 2012-09-03 11:04:22 UTC
Issues:
[!]: MUST Static libraries in -static subpackage, if present.
     Note: nacl-devel-20110221-1.fc17.x86_64.rpm : /usr/lib64/libnacl.a
See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

[!]: EXTRA Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see attached
     diff).


Diff spec file in url and in SRPM
---------------------------------
--- /home/jsynacek/work/reviews/nacl.spec	2012-09-03 12:39:55.432557126 +0200
+++ /home/jsynacek/work/reviews/nacl/srpm-unpacked/nacl.spec	2012-09-03 12:42:23.269591873 +0200
@@ -1,5 +1,4 @@
 Name:           nacl
-# http://nacl.cr.yp.to/
-URL:            http://nacl.cace-project.eu/
+URL:            http://nacl.cr.yp.to/
 Version:        20110221
 Release:        1%{?dist}
Requires

Comment 2 Jaroslav Škarvada 2012-09-03 12:52:49 UTC
(In reply to comment #1)
> Issues:
> [!]: MUST Static libraries in -static subpackage, if present.
>      Note: nacl-devel-20110221-1.fc17.x86_64.rpm : /usr/lib64/libnacl.a
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries
> 
Probably OK, from http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries:
...
There are two scenarios in which static libraries are packaged: 
...
2. Static libraries only. When a package only provides static libraries you can place all the static library files in the *-devel subpackage. When doing this you also must have a virtual Provide for the *-static package: 

%package devel
Provides: foo-static = %{version}-%{release}

Packages which explicitly need to link against the static version must BuildRequire: foo-static, so that the usage can be tracked.

So probably false positive/bug of fedora-review tool.

> [!]: EXTRA Spec file according to URL is the same as in SRPM.
>      Note: Spec file as given by url is not the same as in SRPM (see attached
>      diff).
> 
> 
> Diff spec file in url and in SRPM
> ---------------------------------
> --- /home/jsynacek/work/reviews/nacl.spec	2012-09-03 12:39:55.432557126 +0200
> +++ /home/jsynacek/work/reviews/nacl/srpm-unpacked/nacl.spec	2012-09-03
> 12:42:23.269591873 +0200
> @@ -1,5 +1,4 @@
>  Name:           nacl
> -# http://nacl.cr.yp.to/
> -URL:            http://nacl.cace-project.eu/
> +URL:            http://nacl.cr.yp.to/
>  Version:        20110221
>  Release:        1%{?dist}
> Requires
>
I fine tuned the spec URL to credit the cace-project but forget to refresh the SRPM :) It should be fixed now (I fixed it without release bump).

Comment 3 Jan Synacek 2012-09-04 07:15:50 UTC
Seems ok now, approving.

Comment 4 Jaroslav Škarvada 2012-09-04 07:31:49 UTC
(In reply to comment #3)
> Seems ok now, approving.

Thanks for review.

Comment 5 Jaroslav Škarvada 2012-09-04 07:33:26 UTC
New Package SCM Request
=======================
Package Name: nacl
Short Description: Networking and Cryptography library
Owners: jskarvad
Branches: f17 f18
InitialCC:

Comment 6 Gwyn Ciesla 2012-09-04 10:02:31 UTC
Git done (by process-git-requests).

Comment 7 Jaroslav Škarvada 2012-09-04 10:13:56 UTC
(In reply to comment #6)
> Git done (by process-git-requests).

Thanks.

Comment 8 Fedora Update System 2012-09-04 19:22:55 UTC
nacl-20110221-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2012-13290/nacl-20110221-2.fc18

Comment 9 Fedora Update System 2012-09-06 12:18:43 UTC
nacl-20110221-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nacl-20110221-3.fc18

Comment 10 Fedora Update System 2012-09-07 19:36:33 UTC
Package nacl-20110221-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nacl-20110221-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13543/nacl-20110221-3.fc18
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2012-09-17 23:22:44 UTC
nacl-20110221-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-03-23 23:41:21 UTC
nacl-20110221-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ee03feec9

Comment 13 Fedora Update System 2016-03-23 23:42:18 UTC
nacl-20110221-15.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-15ce041700

Comment 14 Fedora Update System 2016-03-26 14:17:52 UTC
nacl-20110221-15.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-15ce041700

Comment 15 Fedora Update System 2016-03-26 14:19:02 UTC
nacl-20110221-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ee03feec9

Comment 16 Fedora Update System 2016-03-26 16:09:02 UTC
cjdns-17.3-10.el7 nacl-20110221-15.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ee03feec9

Comment 17 Fedora Update System 2016-03-27 21:21:10 UTC
cjdns-17.3-10.el7, nacl-20110221-15.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0ee03feec9

Comment 18 Fedora Update System 2016-04-13 05:56:23 UTC
cjdns-17.3-10.el7, nacl-20110221-15.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-04-13 06:25:18 UTC
nacl-20110221-15.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.